package aexp.selectlivefolder;

import android.app.ListActivity;
import android.content.Intent;
import android.database.Cursor;
import android.net.Uri;
import android.provider.LiveFolders;
import android.os.Bundle;
import android.util.Log;

public class DisplayLiveFolder extends ListActivity
{
    private static final String LOG_TAG = "DisplayLiveFolder";

    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        Intent intent = getIntent();
        Uri uri = intent.getData();
        String columns[] = { 
            LiveFolders._ID,
            LiveFolders.NAME,
            LiveFolders.DESCRIPTION,
            LiveFolders.INTENT };
        Cursor c = getContentResolver().query( 
                uri, null, null, null, LiveFolders.NAME + " ASC");
        String columnNames[] = c.getColumnNames();
        for( int i = 0 ; i < columnNames.length ; ++i )
            Log.d( LOG_TAG, "getColumnNames["+i+"]: "+columnNames[i] );
        startManagingCursor( c );
        LiveFolderCursorAdapter adapter = 
            new LiveFolderCursorAdapter( this, c );
        setListAdapter( adapter );
    }

}
