package aexp.selectlivefolder;

import android.content.Context;
import android.provider.LiveFolders;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.CursorAdapter;
import android.widget.TextView;
import android.database.Cursor;

public class LiveFolderCursorAdapter extends CursorAdapter {

    public LiveFolderCursorAdapter( Context context, Cursor c) {
        super( context, c );
        inflater = LayoutInflater.from( context );
    }

    public View newView( Context context, Cursor cursor, ViewGroup parent) {
        View view = inflater.inflate(R.layout.live_folder_item_row, parent, false);
        updateView( view, cursor );
        return view;
    }

    public void bindView(View view, Context context, Cursor cursor) {
        updateView( view, cursor );
    }

    private void updateView( View view, Cursor cursor ) {
        TextView nameView = (TextView)view.findViewById( R.id.name );
        TextView descriptionView = (TextView)view.findViewById( R.id.description );
        TextView intentView = (TextView)view.findViewById( R.id.intent );
        int nameIndex = cursor.getColumnIndex(LiveFolders.NAME);
        int descriptionIndex = cursor.getColumnIndex(LiveFolders.DESCRIPTION);
        int intentIndex = cursor.getColumnIndex( LiveFolders.INTENT );
        String name = cursor.getString( nameIndex );
        String description = descriptionIndex < 0 ?
                null 
                :
                cursor.getString( descriptionIndex );
        String intent = intentIndex < 0 ?
                null 
                :
                cursor.getString( intentIndex );
        nameView.setText( name );
        if( description != null )
            descriptionView.setText( description );
        if( intent != null )
            intentView.setText( intent );
    }

    private LayoutInflater inflater;
}

